# Poco::Data

# class AbstractPreparation

Library: Data
Package: DataCore
Header: Poco/Data/AbstractPreparation.h

## Description

Interface used for database preparation where we first have to register all data types (and memory output locations) before extracting data, i.e. extract works as two-pase extract: first we call prepare once, then extract n-times. Only some database connectors will need to implement this interface. Note that the values in the interface serve only the purpose of type distinction.

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

Known Derived Classes: Poco::Data::ODBC::Preparation

## Member Summary

Member Functions: prepare

Inherited Functions: duplicate, referenceCount, release

## Constructors

### AbstractPreparation

AbstractPreparation();

Creates the AbstractPreparation.

## Destructor

### ~AbstractPreparation

virtual ~AbstractPreparation();

Destroys the AbstractPreparation.

## Member Functions

### prepare

virtual void prepare(
std::size_t pos,
Poco::Int8
) = 0;

Prepares an Int8.

### prepare

virtual void prepare(
std::size_t pos,
Poco::UInt8
) = 0;

Prepares an UInt8.

### prepare

virtual void prepare(
std::size_t pos,
Poco::Int16
) = 0;

Prepares an Int16.

### prepare

virtual void prepare(
std::size_t pos,
Poco::UInt16
) = 0;

Prepares an UInt16.

### prepare

virtual void prepare(
std::size_t pos,
Poco::Int32
) = 0;

Prepares an Int32.

### prepare

virtual void prepare(
std::size_t pos,
Poco::UInt32
) = 0;

Prepares an UInt32.

### prepare

virtual void prepare(
std::size_t pos,
Poco::Int64
) = 0;

Prepares an Int64.

### prepare

virtual void prepare(
std::size_t pos,
Poco::UInt64
) = 0;

Prepares an UInt64.

### prepare

virtual void prepare(
std::size_t pos,
bool
) = 0;

Prepares a boolean.

### prepare

virtual void prepare(
std::size_t pos,
float
) = 0;

Prepares a float.

### prepare

virtual void prepare(
std::size_t pos,
double
) = 0;

Prepares a double.

### prepare

virtual void prepare(
std::size_t pos,
char
) = 0;

Prepares a single character.

### prepare

virtual void prepare(
std::size_t pos,
const std::string & param29
) = 0;

Prepares a string.

### prepare

virtual void prepare(
std::size_t pos,
const BLOB & param30
) = 0;

Prepares a BLOB.